--[[----------------------------------------------------------------------------

WFCatImportManifest.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2017 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remains the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and are protected by all applicable
intellectual property laws, including trade secret and copyright laws.
Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

	-- Rx
local Rx = require 'Rx'

	-- Import
local WFCatImportManifestQueries = require 'WFCatImportManifestQueries'
local WFCatImportManifestBase = require 'WFCatImportManifestBase'
local WFCatImportManifestConstants = require 'WFCatImportManifestConstants'

--------------------------------------------------------------------------------

local WFCatImportManifest = {
	WFCatImportManifestBase,
		-- Base class
}

--------------------------------------------------------------------------------

function WFCatImportManifest:__init( path, fileName )
	
	local name = fileName .. WFCatImportManifestConstants.manifestDbExtension
	
	return path, name, WFCatImportManifestQueries
	
end

--------------------------------------------------------------------------------

return Rx.Class 'WFCatImportManifest'( WFCatImportManifest )
